aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorlana <none@none>2010-04-13 16:35:53 -0700
committerlana <none@none>2010-04-13 16:35:53 -0700
commit3345a19c3ab7a356264a88ef0268d1f66b296212 (patch)
treeb46c989b46594dc981cf8a859530db09d1394ea4
parent5c2f95af6712b54f176d96d5b561e304aaeea889 (diff)
parent16aa3daca694137a378e91a95434911112eb41ea (diff)
-rw-r--r--make/jprt.properties2
-rw-r--r--test/Makefile5
2 files changed, 4 insertions, 3 deletions
diff --git a/make/jprt.properties b/make/jprt.properties
index f08ea27..54d64ae 100644
--- a/make/jprt.properties
+++ b/make/jprt.properties
@@ -62,6 +62,7 @@ jprt.test.targets= \
# Test targets in test/Makefile
jprt.make.rule.test.targets= \
+ *-product-*-langtools_jtreg, \
*-product-*-jdk_beans1, \
*-product-*-jdk_beans2, \
*-product-*-jdk_beans3, \
@@ -84,7 +85,6 @@ jprt.make.rule.test.targets= \
*-product-*-jdk_util
# Not Ready Yet:
-# *-product-*-langtools_all
# *-product-*-jdk_awt
# *-product-*-jdk_rmi
# *-product-*-jdk_swing
diff --git a/test/Makefile b/test/Makefile
index bf9a4a1..00e532e 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -42,6 +42,7 @@ if [ -d $1 ] ; then \
$(MAKE) -C $1/test $2 ; \
else \
echo "ERROR: File does not exist: $1/test/Makefile"; \
+ exit 1; \
fi; \
else \
echo "WARNING: No testing done, directory does not exist: $1"; \
@@ -49,7 +50,7 @@ fi
endef
# Test target list for langtools repository
-LANGTOOLS_TEST_LIST = langtools_all
+LANGTOOLS_TEST_LIST = langtools_jtreg
# Test target list for jdk repository
JDK_TEST_LIST = \
@@ -74,7 +75,7 @@ all: $(JDK_TEST_LIST) $(LANGTOOLS_TEST_LIST)
# Test targets
$(LANGTOOLS_TEST_LIST):
- @$(call SUBDIR_TEST, $(LANGTOOLS_DIR), all)
+ @$(call SUBDIR_TEST, $(LANGTOOLS_DIR), $(subst langtools_,,$@))
$(JDK_TEST_LIST):
@$(call SUBDIR_TEST, $(JDK_DIR), $@)